Get NF Supported product Categories

get

/rest/{versionId}/inventory/nf-mgmt/nf-categories

Use this (GET) method to display the Network Function (NF) categories provided by your product plug-in.

Request

Path Parameters
Back to Top

Response

200 Response

Retrieved NF Supported product Categories successfully.

401 Response

The user is unauthorized.

404 Response

The resource URI of your input request cannot be found

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to get NF Supported product Categories.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/nf-mgmt/nf-categories"

The following example shows how to use Python to get NF Supported product Categories.

import requests
headers = { "Authorization": "Bearer <auth-token>" }
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/nf-mgmt/nf-categories"
resp = requests.get(url, headers=headers)

Example of the Response Body

The following example shows the contents of the response body.

{
  "nfCategories": [
    {
      "id": "3",
      "name": "Session Monitor",
      "product": "Monitoring",
      "vendor": "Oracle"
    },
    {
      "id": "1",
      "name": "SP Edge & Core",
      "product": "Session Delivery",
      "vendor": "Oracle"
    },
    {
      "id": "2",
      "name": "Enterprise Edge & Core",
      "product": "ESBC/ECB",
      "vendor": "Oracle"
    },
    {
      "id": "4",
      "name": "Management Utilities",
      "product": "Management Utilities",
      "vendor": "Oracle"
    }
  ]
}
Back to Top